Skip to main content
GET
List the payment methods for an invoice

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

invoice_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Response

200 - application/json
payment_method_id
string
required

Unique Stripe payment method identifier

is_default
boolean
required

Whether this is the default payment method for the customer

type
enum<string>
required

Type of payment method

  • card - Card
  • us_bank_account - US Bank Account
  • link - Link
Available options:
card,
us_bank_account,
link
us_bank_account
object

Bank account details - only present for bank account payment methods

card
object

Card details - only present for card payment methods

Link details - only present for Link payment methods

restricted
object | null

Why this method cannot pay the invoice the request is scoped to. Null when it can, or when the request is not scoped to an invoice.